# FailureResult

interface FailureResult : OperationResult

Describes how an operation finished with failures.

#### Since

2.4

#### Inheritors

WorkItemFailureResult
TaskFailureResult
ProjectConfigurationFailureResult
TransformFailureResult
TestFailureResult

## Functions

getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
getFailures
Link copied to clipboard
abstract fun getFailures(): List<out Failure>
Returns the failures that occurred while running the operation, if any.
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long